Topics

USING MINI DIGITAL TV STICK RTL2832U 820T2 & SDR ON GRC #rtl #sdrconsole #linux #grc #gnuradio

andrescampos45@...
 

Good afternoon everyone.

I write here to see if any of you know that installation errors I may have had to use the r820t2 in gnu radio companion.

I'm trying to make an FM receiver and other analog TV receiver but when running the program does not receive any type of signal and the view errors, I have: devices not supported. I believe that this is some driver to be installed but I don't know where or how.

The steps that I have followed for installation (Ubuntu 16.04 LTS) have been:

1. Install gnuradio.
2. Install Xenial Xerius specifications (it is supposed to do I need for my version of Ubuntu).
I3. nstall specifications of gr-osmosdr to enable some features of the chip.

The Stick comes with a CD but i do not know how to install it since, according to the specifications only works for WXP, 2000, Vista, 7 and 8; and it is something that it seems strange to me since I have seen videos where they use this same model of stick to carry out projects in Gnuradio on Ubuntu.
I tried with this:

sudo apt-get update
sudo apt-get install git
sudo apt-get install cmake
sudo apt-get install build-essential
sudo apt-get install libusb-1.0-0-dev

git clone git://git.osmocom.org/rtl-sdr.git
cd rtl-sdr/
mkdir build
cd build
cmake ../ -DINSTALL_UDEV_RULES=ON
make
sudo make install
sudo ldconfig
sudo cp ../rtl-sdr.rules /etc/udev/rules.d/

Opening /etc/modprobe.d folder 
Creating a new file 'blacklist-rtl.conf' and add this one line:
blacklist dvb_usb_rtl28xxu

rtl_test -t

I tried those commands but I do not know if I need to install something else because GNRC still says: "FATAL: No supported devices found to pick from"...

Please, if any of you know that i need to install It would serve as much help as I am a novice programmer and i need to resolve this problem for my project.
 

Jim Smith G0OFE
 

Hello,

This group is for SDR, but really aimed at those using SDR Console (www.sdr-radio.com) software which is Windows based.

You will get better advice on your questions elsewhere.. hopefully another member of this group will be along in due course to point you in the right direction.

================================
Jim, Bournemouth, Dorset. IO90BR.
Elad FDM-S2, Airspy HF+, SDRPlay and Funcube Dongle SDR Recievers
8-element OP-DES for Band 2, 8-element LFA for 2m, 3-element LFA for 6m, 20m Windom for HF,. Wellbrook 1530 Loop for LF


On 02/08/2018 22:38, AECS wrote:
Good afternoon everyone.

I write here to see if any of you know that installation errors I may have had to use the r820t2 in gnu radio companion.

I'm trying to make an FM receiver and other analog TV receiver but when running the program does not receive any type of signal and the view errors, I have: devices not supported. I believe that this is some driver to be installed but I don't know where or how.

The steps that I have followed for installation (Ubuntu 16.04 LTS) have been:

1. Install gnuradio.
2. Install Xenial Xerius specifications (it is supposed to do I need for my version of Ubuntu).
I3. nstall specifications of gr-osmosdr to enable some features of the chip.

The Stick comes with a CD but i do not know how to install it since, according to the specifications only works for WXP, 2000, Vista, 7 and 8; and it is something that it seems strange to me since I have seen videos where they use this same model of stick to carry out projects in Gnuradio on Ubuntu.
I tried with this:

sudo apt-get update
sudo apt-get install git
sudo apt-get install cmake
sudo apt-get install build-essential
sudo apt-get install libusb-1.0-0-dev

git clone git://git.osmocom.org/rtl-sdr.git
cd rtl-sdr/
mkdir build
cd build
cmake ../ -DINSTALL_UDEV_RULES=ON
make
sudo make install
sudo ldconfig
sudo cp ../rtl-sdr.rules /etc/udev/rules.d/

Opening /etc/modprobe.d folder 
Creating a new file 'blacklist-rtl.conf' and add this one line:
blacklist dvb_usb_rtl28xxu

rtl_test -t

I tried those commands but I do not know if I need to install something else because GNRC still says: "FATAL: No supported devices found to pick from"...

Please, if any of you know that i need to install It would serve as much help as I am a novice programmer and i need to resolve this problem for my project.
 


Virus-free. www.avast.com

Joe Puma
 

what do you see when you type lsusb? You should see the Rtl-sdr 

instead of building the rtf_sdr drivers you can install it with apt-get

sudo apt-get install rtl-sdr gr-osmosdr

try running test after that but I suspect its not blacklisted correctly. did you reboot? 

make sure all of these are in the blacklist 

blacklist dvb_usb_rtl28xxu

blacklist rtl2832

    blacklist rtl2830


rtf_test should find the device and execute, otherwise it should return a error if the device is not available.



Good Luck

Joe
KD2NFC







On Aug 2, 2018, at 6:38 PM, AECS <andrescampos45@...> wrote:

Good afternoon everyone.

I write here to see if any of you know that installation errors I may have had to use the r820t2 in gnu radio companion.

I'm trying to make an FM receiver and other analog TV receiver but when running the program does not receive any type of signal and the view errors, I have: devices not supported. I believe that this is some driver to be installed but I don't know where or how.

The steps that I have followed for installation (Ubuntu 16.04 LTS) have been:

1. Install gnuradio.
2. Install Xenial Xerius specifications (it is supposed to do I need for my version of Ubuntu).
I3. nstall specifications of gr-osmosdr to enable some features of the chip.

The Stick comes with a CD but i do not know how to install it since, according to the specifications only works for WXP, 2000, Vista, 7 and 8; and it is something that it seems strange to me since I have seen videos where they use this same model of stick to carry out projects in Gnuradio on Ubuntu.
I tried with this:

sudo apt-get update
sudo apt-get install git
sudo apt-get install cmake
sudo apt-get install build-essential
sudo apt-get install libusb-1.0-0-dev

git clone git://git.osmocom.org/rtl-sdr.git
cd rtl-sdr/
mkdir build
cd build
cmake ../ -DINSTALL_UDEV_RULES=ON
make
sudo make install
sudo ldconfig
sudo cp ../rtl-sdr.rules /etc/udev/rules.d/

Opening /etc/modprobe.d folder 
Creating a new file 'blacklist-rtl.conf' and add this one line:
blacklist dvb_usb_rtl28xxu

rtl_test -t

I tried those commands but I do not know if I need to install something else because GNRC still says: "FATAL: No supported devices found to pick from"...

Please, if any of you know that i need to install It would serve as much help as I am a novice programmer and i need to resolve this problem for my project.